Skip to main content
GET
Search published signals

Authorizations

Authorization
string
header
required

SeedOps API key, created in the API dashboard.

Headers

Idempotency-Key
string
Required string length: 8 - 128

Query Parameters

q
string

Activity title keywords, quoted phrases, and -excluded terms; not semantic search.

Maximum string length: 1000
company
string

company

Maximum string length: 180
companySlug
string

companySlug

Maximum string length: 180
all
string

all

Maximum string length: 1000
exact
string

exact

Maximum string length: 180
any
string

any

Maximum string length: 1000
exclude
string

exclude

Maximum string length: 1000
country
string

country

Maximum string length: 180
industry
string

industry

Maximum string length: 180
size
enum<string>

size

Available options:
1-49,
50-100,
101-500,
501-10000000
days
enum<string>

days

Available options:
7,
30,
90
dateRanges
enum<string>[]

dateRanges

Maximum array length: 4
Available options:
7,
30,
90,
older
dateFrom
string

dateFrom

Pattern: ^\d{4}-\d{2}-\d{2}$
dateTo
string

dateTo

Pattern: ^\d{4}-\d{2}-\d{2}$
category
string[]

Category IDs from seedops filters or GET /filter-options

Maximum array length: 30
Required string length: 1 - 180
hiringState
string

Hiring type; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections

Maximum string length: 180
hiringFunction
string

Job function; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections

Maximum string length: 180
hiringSeniority
string

Seniority; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections

Maximum string length: 180
hiringEmployment
string

Employment type; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections

Maximum string length: 180
hiringWorkArrangement
string

Work arrangement; IDs from seedops filters or GET /filter-options, comma-separated for multiple selections

Maximum string length: 180
fundingStage
string

fundingStage

Maximum string length: 180
fundingCurrency
enum<string>

fundingCurrency

Available options:
USD,
EUR,
GBP
fundingMin
number

fundingMin

Required range: x >= 0
fundingMax
number

fundingMax

Required range: x >= 0
companies
string[]

companies

Maximum array length: 50
Required string length: 1 - 180
activityIds
string[]

activityIds

Maximum array length: 50
Pattern: ^[1-9][0-9]{0,18}$
ids
string[]

ids

Required array length: 1 - 50 elements
Pattern: ^[1-9][0-9]{0,18}$
cursor
string

Use nextCursor with exactly the same filters

Maximum string length: 512
limit
integer

Maximum signals to return, from 1 to 50. Defaults to 50. Usage counts only returned signals.

Required range: 1 <= x <= 50
page
integer

page

Required range: 1 <= x <= 100
countOnly
boolean

countOnly

Response

Success. The result is wrapped in a data property.